Retrieves all the companies

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "0924759c-25bb-412c-bb4b-91c24de69f48",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-05-15T10:38:57.1956645+00:00",
  "sales_territory_id": "4239d923-0ba6-435f-85fe-67f2a42cf48a",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "cbee3d86-06ea-47d5-8ff5-ffc230981d54",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "c1ddc3f2-72a5-47c8-9ab2-005836a4dc95",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "464a13be-3cfe-47c2-b62b-057d0657d4b8",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "95fc8f6e-58d9-428c-b3e9-ea3a6cb99e15",
      "db_currency_id": "d5218b6c-1ec1-4551-8b7c-316dea3b5f82",
      "db_language_id": "736bb6a0-7e0c-4240-b0fb-27d0d3057b38",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-05-15T10:38:57.1956645+00:00"
    },
    "modified_dateutc": "2026-05-15T10:38:57.1956645+00:00"
  },
  "marketing_segment_id": "86a3b4b5-a8e6-4ed2-9244-5cf86125942b",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "d5b1fc99-d2d4-4462-802b-0acdd8229786",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "6473d33b-e73d-49b3-935a-d9c0aee5694c",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "0925646b-f592-43b3-b072-a6af98a570f5",
  "db_country_code": "sample string 28",
  "feelist_id": "e41e1fe8-acf1-4949-9b04-773c35909ad5",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "3ccb85f9-8d36-4507-9b69-29db2e4d6264",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "b4661cab-0f23-4280-9304-606b42c47769",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-05-15T10:38:57.1956645+00:00",
    "db_currency_id": "fa7c85a4-7fee-457f-a0eb-7ed19d9d21df",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "92730402-2911-416a-a9d0-9fd8deb8cb11",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "698b41f6-c3a9-40c6-adbb-77d7286aa189",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "9d8aff74-2e59-42e0-8c93-b7db3b23c0c9",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "ec15140d-3e09-46c1-bc46-940368b058bb",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "52677a52-bb15-411c-8927-2ea15cd0c02d",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "15ab6934-8bab-4279-bf4c-d182795c1d51",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "6214c6a3-9760-49fc-b88f-312d32ad15ed",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-05-15T10:38:57.1956645+00:00"
  },
  "company_sector_id": "93eb7efd-3f0c-49fd-a112-c1ea121c1714",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "203d3c7d-9db7-4280-8f8c-7eaa32a7b93c",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "c930b1da-1235-4915-a484-ee4035122238",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "936626ed-b18e-4896-b48f-85651c9aab48",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "838deb0b-1096-4ac0-84d6-3a451be30c60",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-05-15T10:38:57.1956645+00:00",
  "id2": 60
}